clang 8.0.0

Public Member Functions | List of all members
clang::SimpleProgramPointTag Class Reference

`#include "clang/Analysis/ProgramPoint.h"`

Inheritance diagram for clang::SimpleProgramPointTag:
[legend]
Collaboration diagram for clang::SimpleProgramPointTag:
[legend]

## Public Member Functions
| SimpleProgramPointTag (StringRef MsgProvider, StringRef Msg)
StringRef | getTagDescription () const override
Public Member Functions inherited from clang::ProgramPointTag
| ProgramPointTag (void *tagKind=nullptr)
virtual | ~ProgramPointTag ()

## Additional Inherited Members
Protected Member Functions inherited from clang::ProgramPointTag
const void * | getTagKind ()
| Used to implement 'isKind' in subclasses. More...

## Detailed Description

Definition at line 54 of file ProgramPoint.h.

## Constructor & Destructor Documentation

## ◆ SimpleProgramPointTag()

SimpleProgramPointTag::SimpleProgramPointTag | ( | StringRef | MsgProvider,
|  | StringRef | Msg
| ) |  |

Definition at line 221 of file ProgramPoint.cpp.

## Member Function Documentation

## ◆ getTagDescription()

StringRef SimpleProgramPointTag::getTagDescription | ( |  | ) | const
| override virtual

Implements clang::ProgramPointTag.

Definition at line 225 of file ProgramPoint.cpp.

The documentation for this class was generated from the following files:

- include/clang/Analysis/ProgramPoint.h
- lib/Analysis/ProgramPoint.cpp